Alladdin

Work in progress

Site en construction

الموقع قيد الإنشاء

Alladdin
GET

Get a time off request (absence / holiday)

Scope: team:time-off.read https://api.alladdin.com/api/v2/employees/{employeeId}/time-offs/{timeOffId}

Returns a single time off request (absence, holiday, vacation, sick leave, etc.) for the specified employee.

Parameters

Path parameters

employeeId string required

Employee ID (24-character hexadecimal ObjectId)

timeOffId string required

Time off request ID (24-character hexadecimal ObjectId)

Request

python
import requests

url = "https://api.alladdin.com/api/v2/employees/507f1f77bcf86cd799439012/time-offs/507f1f77bcf86cd799439011"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Accept": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())

Responses

Response

json
{
  "id": "507f1f77bcf86cd799439011",
  "employee_id": "507f1f77bcf86cd799439012",
  "time_off_type_id": "507f1f77bcf86cd799439013",
  "time_off_type_name": "Vacation",
  "start_date": "2026-06-01",
  "end_date": "2026-06-05",
  "day_period": "full_day",
  "status": "pending",
  "days": "5",
  "description": "Summer holidays",
  "reason": null,
  "start_hour": "09:00",
  "end_hour": "13:00",
  "num_hours": "4",
  "attachments": [
    {}
  ]
}

Success responses

200 Time off request found application/json object id string

Unique identifier of the time off request

employee_id string | null

Identifier of the employee. Null when assigned to a workplace.

time_off_type_id string | null

Identifier of the time off type

time_off_type_name string | null

Name of the time off type

start_date string<date>

Start date of the absence (YYYY-MM-DD, Europe/Madrid)

end_date string<date> | null

End date of the absence (YYYY-MM-DD, Europe/Madrid). Null for single-day requests.

day_period string | null

Half-day granularity for single-day requests

Enum: morning afternoon full_day hourly `` status string | null

Current approval status

Enum: pending accepted rejected cancelled `` days string

Number of days consumed (as a decimal string)

description string | null

Free-form note attached to the request

reason string | null

Rejection or cancellation reason

start_hour string | null

Start time for HOURS-granularity absences (HH:MM, Europe/Madrid)

end_hour string | null

End time for HOURS-granularity absences (HH:MM, Europe/Madrid)

num_hours string | null

Total hours duration for HOURS-granularity absences

attachments[] object[]

Attached files (currently always empty)

Error responses

401 Invalid or missing API key application/json 403 Insufficient permissions application/json 404 Time off not found application/json 429 Rate limit exceeded application/json

← PreviousList time off requests for an employee (absences / holidays) →

Next →List all time off requests (absences / holidays) →